# Examples

Sometimes the best way to learn how to use a new package is to look for
examples of what others have already built with it.

The following packages use Documenter to build their documentation and so
should give a good overview of what this package is currently able to do.

!!! note

    Packages are listed alphabetically. If you have a package that uses Documenter then
    please open a PR that adds it to the appropriate list below; a simple way to do so
    is to navigate to
    <https://github.com/JuliaDocs/Documenter.jl/edit/master/docs/src/man/examples.md>.

    The `make.jl` file for all listed packages will be tested to check for potential
    regressions prior to tagging new Documenter releases whenever possible.

## Registered

Packages that have tagged versions available in the general Registry:

- [Augmentor.jl](https://evizero.github.io/Augmentor.jl/stable/)
- [BanditOpt.jl](http://rajvishnu.in/BanditOpt.jl/stable/)
- [BeaData.jl](https://stephenbnicar.github.io/BeaData.jl/stable/)
- [ControlSystems.jl](https://juliacontrol.github.io/ControlSystems.jl/stable/)
- [COSMO.jl](https://oxfordcontrol.github.io/COSMO.jl/stable/)
- [DiscretePredictors.jl](https://github.com/v-i-s-h/DiscretePredictors.jl)
- [Distributions.jl](https://juliastats.org/Distributions.jl/stable/)
- [Documenter.jl](https://documenter.juliadocs.org/stable/)
- [DrWatson](https://juliadynamics.github.io/DrWatson.jl/stable/)
- [EvolvingGraphs.jl](https://etymoio.github.io/EvolvingGraphs.jl/stable/)
- [ExtractMacro.jl](https://carlobaldassi.github.io/ExtractMacro.jl/stable/)
- [EzXML.jl](https://juliaio.github.io/EzXML.jl/stable/)
- [FourierFlows.jl](https://fourierflows.github.io/FourierFlowsDocumentation/stable/)
- [Gadfly.jl](https://gadflyjl.org/stable/)
- [GeophysicalFlows.jl](https://fourierflows.github.io/GeophysicalFlowsDocumentation/stable/)
- [GeoStats.jl](https://juliaearth.github.io/GeoStatsDocs/stable/)
- [Highlights.jl](https://highlights.juliadocs.org/stable/)
- [HypothesisTests.jl](https://juliastats.org/HypothesisTests.jl/stable/)
- [InvertibleNetworks.jl](https://slimgroup.github.io/InvertibleNetworks.jl/stable/)
- [JUDI.jl](https://slimgroup.github.io/JUDI.jl/stable/)
- [Luxor.jl](https://juliagraphics.github.io/Luxor.jl/stable/)
- [MergedMethods.jl](https://michaelhatherly.github.io/MergedMethods.jl/stable/)
- [Mimi.jl](https://www.mimiframework.org/Mimi.jl/stable/)
- [NumericSuffixes.jl](https://michaelhatherly.github.io/NumericSuffixes.jl/stable/)
- [NLOptControl.jl](https://huckl3b3rry87.github.io/MPCDocs.jl/stable/)
- [Oceananigans.jl](https://clima.github.io/OceananigansDocumentation/stable/))
- [OhMyREPL.jl](https://github.com/KristofferC/OhMyREPL.jl)
- [OnlineStats.jl](https://joshday.github.io/OnlineStats.jl/stable/)
- [PhotoAcoustic.jl](https://slimgroup.github.io/PhotoAcoustic.jl/stable/)
- [Pigeons.jl](https://pigeons.run/dev/)
- [POMDPs.jl](https://juliapomdp.github.io/POMDPs.jl/stable/)
- [PhyloNetworks.jl](https://crsl4.github.io/PhyloNetworks.jl/stable/)
- [PrivateModules.jl](https://michaelhatherly.github.io/PrivateModules.jl/stable/)
- [Query.jl](https://www.queryverse.org/Query.jl/stable/)
- [QuestDBClient.jl](https://ochibobo.github.io/QuestDBClient.jl/dev/)
- [SimGBS.jl](https://anshess.github.io/SimGBS.jl/stable/)
- [SlimOptim.jl](https://slimgroup.github.io/SlimOptim.jl/stable/)
- [SymbolicRegression.jl](https://astroautomata.com/SymbolicRegression.jl/stable/)
- [TaylorSeries.jl](https://juliadiff.org/TaylorSeries.jl/stable/)
- [Weave.jl](https://weavejl.mpastell.com/stable/)
- [WorldDynamics.jl](https://worlddynamics.github.io/WorldDynamics.jl/stable/)

## Documentation repositories

Some projects or organizations maintain dedicated documentation repositories that are
separate from specific packages.

- [DifferentialEquations.jl](https://diffeq.sciml.ai/dev/)
- [JuliaDocs landing page](https://juliadocs.org/)
- [JuliaImages](https://juliaimages.org)
- [JuliaMusic](https://juliamusic.github.io/JuliaMusic_documentation.jl/dev/)
- [Plots.jl](https://docs.juliaplots.org/dev/)
